/**
 * An example to lookup a group based on command line arguments.
 *
 * @author Matthew Tesch < matt @ hebirobotics.com >
 * @since 23 Sep 2015
 */ 

#include "lookup_helpers.c"

int main(int argc, char* argv[])
{
  // Try and get the requested group
  HebiGroupPtr group = getGroupFromArgs(argc, argv);
  if (group == NULL)
  {
    printf("Group not found on network.\n\n");
    hebiCleanup();
    return -1;
  }

  printf("Found group with %d modules.\n\n", hebiGroupGetNumberOfModules(group));

  // Be sure the group is released after you are done with it.
  hebiReleaseGroup(group);
  hebiCleanup();

  return 0;
}
